申込者詳細取得
curl --request GET \
--url https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"schedule": {
"id": "<string>",
"start_datetime": "<string>",
"end_datetime": "<string>",
"member": {
"id": "<string>",
"name": "<string>"
}
},
"name": "<string>",
"kana": "<string>",
"sei": "<string>",
"mei": "<string>",
"sei_kana": "<string>",
"mei_kana": "<string>",
"mail": "<string>",
"phone": "<string>",
"zipcode": "<string>",
"pref": "<string>",
"city": "<string>",
"address": "<string>",
"building": "<string>",
"line_friend": {
"id": "<string>",
"display_name": "<string>"
},
"status_participation": "reserved",
"status_contract": "unregistered",
"memo": "<string>",
"paid_amount": 123,
"paid_at": "<string>",
"cancel_reason": "<string>",
"is_test_mode": true,
"custom_fields": {},
"created_at": "<string>",
"updated_at": "<string>"
}
}申込者
申込者詳細取得
申込者の詳細を取得します。お名前・フリガナ・メールアドレス・電話番号・住所、申込んだ日程と担当者、参加状況・成約状況、メモ・キャンセル理由、入金額・入金日時、申込者項目(custom_fields)を含みます。
custom_fields にはイベントで使用中の申込者項目だけが入ります(使用中の項目は GET /events/{project_id}/form-items で確認できます)。
申込者詳細取得
curl --request GET \
--url https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/applicants/{applicant_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"schedule": {
"id": "<string>",
"start_datetime": "<string>",
"end_datetime": "<string>",
"member": {
"id": "<string>",
"name": "<string>"
}
},
"name": "<string>",
"kana": "<string>",
"sei": "<string>",
"mei": "<string>",
"sei_kana": "<string>",
"mei_kana": "<string>",
"mail": "<string>",
"phone": "<string>",
"zipcode": "<string>",
"pref": "<string>",
"city": "<string>",
"address": "<string>",
"building": "<string>",
"line_friend": {
"id": "<string>",
"display_name": "<string>"
},
"status_participation": "reserved",
"status_contract": "unregistered",
"memo": "<string>",
"paid_amount": 123,
"paid_at": "<string>",
"cancel_reason": "<string>",
"is_test_mode": true,
"custom_fields": {},
"created_at": "<string>",
"updated_at": "<string>"
}
}